#!/usr/bin/env python
"""Miscellaneous, general utilities useful for scripting

Package overview
================

    ===================================   ======================================================================================================================
    **Subpackages**                       **Contents**
    -----------------------------------   ----------------------------------------------------------------------------------------------------------------------
    :py:obj:`~plastid.util.io`             Wrappers for various file I/O operations
    :py:obj:`~plastid.util.scriptlib`      Tools for writing command-line scripts that use :data:`plastid`
    :py:obj:`~plastid.util.services`       Function decorators, exceptions, and a grab bag of functions that operate on miscellaneous basic data types (e.g. sets, lists, et c)
    -----------------------------------   ----------------------------------------------------------------------------------------------------------------------
    **Package modules**                   **Contents**
    -----------------------------------   ----------------------------------------------------------------------------------------------------------------------
    :py:mod:`~plastid.util.unique_fifo`    FIFO that maintains a unique collection of members (i.e. no duplicates)
    ===================================   ======================================================================================================================


"""
